---
name: Accessibility Issue
about: Have you identified an accessibility issue regarding a Fabric control?
---

<!--
Before submitting an accessibility issue please ensure the following are true:

1. Search for dupes! Please make sure the issue is not already present in our issue tracker.
2. This issue is caused by a Fabric control.
3. You can reproduce this bug in a CodePen.
4. There is documentation or best practice that supports your expected behavior (review https://www.w3.org/TR/wai-aria-1.1/ for accessibility guidance.)

PLEASE NOTE:

Do not link to, screenshot or reference a Microsoft product in this description.

Our screen reader support is limited to Edge + Narrator. Please check ARIA component examples to ensure it is not a screen reader or browser issue. Issues that do not reproduce in Edge + Narrator, and aren't caused by obvious invalid aria values, should be filed with the respective screen reading software, not the Fabric repo.

Issues that do not meet these guidelines will be closed.
-->

### Environment Information

- **Package version(s)**: (fill this out)
- **Browser and OS versions**: (fill this out)

### Describe the issue:

<!-- fill this out -->

### Please provide a reproduction of the issue in a codepen:

<!--
Providing an isolated reproduction of the issue in a codepen makes it much easier for us to help you. Here are some ways to get started:

  * Go to https://aka.ms/fluentpen for a starter codepen
  * You can also use the "Export to Codepen" feature for the various components in our documentation site.
  * See http://codepen.io/dzearing/pens/public/?grid_type=list for a variety of examples

Alternatively, you can also use https://aka.ms/fluentdemo to get permanent repro links if the repro occurs with an example.
(A permanent link is preferable to "use the website" as the website can change.)
-->

#### Actual behavior:

<!-- fill this out -->

#### Expected behavior:

<!-- fill this out -->

### Documentation describing expected behavior

<!-- fill this out -->
