import * as React from 'react';
import { Toolbar, Button, Form } from '@fluentui/react-northstar';

const CustomPopup = ({ onConfirm }) => {
  return (
    <Form
      onSubmit={onConfirm}
      fields={[
        {
          label: 'First name',
          name: 'firstName',
          id: 'first-name-inline-shorthand',
          key: 'first-name',
          required: true,
          inline: true,
        },
        {
          control: {
            as: Button,
            content: 'Submit',
          },
          key: 'submit',
        },
      ]}
    />
  );
};

const ToolbarExampleActionPopupInMenu = () => {
  const [menuOpen, setMenuOpen] = React.useState(false);
  return (
    <Toolbar
      aria-label="Popup with an action in menu"
      items={[
        {
          icon: 'more',
          active: menuOpen,
          title: 'More',
          menu: [
            {
              content: 'Open Popup',
              popup: (
                <CustomPopup
                  onConfirm={() => {
                    setMenuOpen(false);
                  }}
                />
              ),
            },
          ],
          menuOpen,
          onMenuOpenChange: (e, { menuOpen }) => {
            setMenuOpen(menuOpen);
          },
        },
      ]}
    />
  );
};

export default ToolbarExampleActionPopupInMenu;
